using System;
using System.Diagnostics.CodeAnalysis;
using System.Threading;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace MSTestExtensions.Tests
{
    /// <remarks/>
    [TestClass]
    public class TestTimerAttributeTest : MSTestExtensionsTestFixture
    {
        #region Unit Tests

        /// <remarks/>
        [TestMethod]
        [TestTimer(500)]
        public void TestInterceptionWithTestTimerSuccess()
        {
        }

        /// <remarks/>
        [TestMethod]
        [ExpectedException(typeof(MSTestExtensionsException))]
        [TestTimer(10)]
        public void TestInterceptionWithTestTimerFail()
        {
            Thread.Sleep(100);
        }

        #endregion // Unit Tests
    }
}
